import { objectWithoutProperties as _objectWithoutProperties } from '../../_virtual/_rollupPluginBabelHelpers.js';
import React__default from 'react';
import { usePaginationDots } from './usePaginationDots.js';
import { PaginationDots } from './PaginationDots.js';
import { PaginationDot } from './PaginationDot.js';

var _excluded = ["items", "index", "visibleItems", "onIndexChange"];
/**
 * Компонент для отображения точек пагинации
 * с возможностью ограничения количества видимых элементов.
 * @deprecated
 */
var SmartPaginationDots = function SmartPaginationDots(_ref) {
  var items = _ref.items,
    index = _ref.index,
    visibleItems = _ref.visibleItems,
    onIndexChange = _ref.onIndexChange,
    rest = _objectWithoutProperties(_ref, _excluded);
  var _usePaginationDots = usePaginationDots({
      items: items,
      index: index,
      visibleItems: visibleItems
    }),
    sliced = _usePaginationDots.sliced,
    activeId = _usePaginationDots.activeId;
  return /*#__PURE__*/React__default.createElement(PaginationDots, rest, sliced.map(function (_ref2, i) {
    var id = _ref2.id;
    return /*#__PURE__*/React__default.createElement(PaginationDot, {
      key: "item:".concat(i),
      isActive: id === activeId,
      onClick: function onClick() {
        return onIndexChange === null || onIndexChange === void 0 ? void 0 : onIndexChange(i);
      }
    });
  }));
};

export { SmartPaginationDots };
